= form_tag project_compare_index_path(@project), method: :post, class: 'form-inline' do
  .clearfix.append-bottom-20
    - if params[:to] && params[:from]
      = link_to t("projects_section.compare.switch"), {from: params[:to], to: params[:from]}, {class: 'commits-compare-switch has_tooltip', title: t("projects_section.compare.switch_base_comparison")}
    .form-group
      .input-group.inline-input-group
        %span.input-group-addon
          = t("projects_section.compare.from_compare")
        = text_field_tag :from, params[:from], class: "form-control"
    = "..."
    .form-group
      .input-group.inline-input-group
        %span.input-group-addon
          = t("projects_section.compare.to")
        = text_field_tag :to, params[:to], class: "form-control"
    &nbsp;
    = submit_tag t("projects_section.compare.compare"), class: "btn btn-create commits-compare-btn"
    - if compare_to_mr_button?
      = link_to compare_mr_path, class: 'prepend-left-10 btn' do
        %strong
          = t("projects_section.compare.make_merge_request")


:javascript
  var availableTags = #{@project.repository.ref_names.to_json};

  $("#from, #to").autocomplete({
    source: availableTags,
    minLength: 1
  });

  disableButtonIfEmptyField('#to', '.commits-compare-btn');
